Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.teleal.cling.model.meta
Class StateVariableTypeDetails

    java.lang.Object
      org.teleal.cling.model.meta.StateVariableTypeDetails

All Implemented Interfaces:
  Validatable

    public class StateVariableTypeDetails

extends Object
implements Validatable

Type of a state variable, its default value, and integrity rules for allowed values and ranges.

Author:
  Christian Bauer

Constructor Summary
`StateVariableTypeDetails(Datatype datatype)`
`StateVariableTypeDetails(Datatype datatype, String defaultValue)`
`StateVariableTypeDetails(Datatype datatype, String defaultValue, String[] allowedValues, StateVariableAllowedValueRange allowedValueRange)`

Method Summary
`protected boolean` | `foundDefaultInAllowedValues(String defaultValue, String[] allowedValues)`
`StateVariableAllowedValueRange` | `getAllowedValueRange()`
`String[]` | `getAllowedValues()`
`Datatype` | `getDatatype()`
`String` | `getDefaultValue()`
`List<ValidationError>` | `validate()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StateVariableTypeDetails

    public StateVariableTypeDetails(Datatype datatype)

### StateVariableTypeDetails

    public StateVariableTypeDetails(Datatype datatype,
                                    String defaultValue)

### StateVariableTypeDetails

    public StateVariableTypeDetails(Datatype datatype,
                                    String defaultValue,
                                    String[] allowedValues,
                                    StateVariableAllowedValueRange allowedValueRange)

Method Detail

### getDatatype

    public Datatype getDatatype()

### getDefaultValue

    public String getDefaultValue()

### getAllowedValues

    public String[] getAllowedValues()

### getAllowedValueRange

    public StateVariableAllowedValueRange getAllowedValueRange()

### foundDefaultInAllowedValues

    protected boolean foundDefaultInAllowedValues(String defaultValue,
                                                  String[] allowedValues)

### validate

    public List<ValidationError> validate()

  Specified by:
    `validate` in interface `Validatable`
  Returns:
    An empty `List` if all rules validated properly, otherwise, the detected errors.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011 Teleal GmbH, Switzerland. All Rights Reserved.